
Redmine - Defect #13914

Circular dependency issue when issue dependency is set

2013-04-30 14:10 - sadhanandavel ramdoss

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.3.0

Description

Hi, I rearranged one of the recently created task as parent to the existing tasks. After this when I started setting relationships among

issues, I am getting an error "this relation would create a circular dependency".

The details are:

- Issue 1 precedes issue 2

- Issue 2 precedes issue 3

This relationship is throwing the above mentioned error. Is it because I moved the existing issues as child tasks of a new one? The

relationship I set between 2 issues (precedes or follows) is very simple and noway it can cause a circular dependency.

Related issues:

Related to Redmine - Defect #14015: Ruby hangs when adding a subtask Closed

Is duplicate of Redmine - Defect #8628: "Related to" reference may yield circ... Closed 2011-06-16

History

#1 - 2013-05-04 10:23 - Toshi MARUYAMA

- Category set to Issues

#2 - 2013-05-06 08:53 - sadhanandavel ramdoss

Hi, the issue I mentioned here is in the version 2.3.0; not in 2.2.3. Sorry for the wrong info. When I tried in 2.2.3, the issue relationship works without

any error!

#3 - 2013-05-06 12:16 - Jean-Baptiste Barth

- Affected version (unused) changed from 2.2.3 to 2.3.0

- Affected version changed from 2.2.3 to 2.3.0

#4 - 2013-10-08 15:07 - Sandra Olandersson

I'm also having a problem with circular dependency.

I copied an issue and when I wanted to set the first issue to "duplicated by" I get the error "this relation would create a circular dependency". Even if I

delete the relation "copied from" I still get the same error. I was recommended to use the duplicate functionality when having stories unfinished in a

sprint in the Redmine Backlogs plugin (http://www.redminebacklogs.net/en/usage-scrum-master.html). As of speeking unfortunately I cannot get this

to work.

I'm using Redmine version: 2.3.2.stable

Is it possible to prioritize a fix for this bug?

#5 - 2014-06-30 06:59 - Toshi MARUYAMA

- Related to deleted (Defect #8628: "Related to" reference may yield circular dependency error message)

#6 - 2014-06-30 06:59 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate with #8628.
#7 - 2014-06-30 06:59 - Toshi MARUYAMA

- Is duplicate of Defect #8628: "Related to" reference may yield circular dependency error message added

Powered by TCPDF (www.tcpdf.org)

2025-05-02 2/2

http://www.tcpdf.org

